
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_orderreshoprq_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for RuleStatusListType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="RuleStatusListType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="ActionRequired"/&amp;gt;
 *     &amp;lt;enumeration value="RuleExecuted"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "RuleStatusListType")
@XmlEnum
public enum RuleStatusListType {

    @XmlEnumValue("ActionRequired")
    ACTION_REQUIRED("ActionRequired"),
    @XmlEnumValue("RuleExecuted")
    RULE_EXECUTED("RuleExecuted");
    private final String value;

    RuleStatusListType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static RuleStatusListType fromValue(String v) {
        for (RuleStatusListType c: RuleStatusListType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
